import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-reverse-proxy-card': SzReverseProxyCard;
    }
}
export declare class SzReverseProxyCard extends DeesElement {
    static demo: () => TemplateResult<1>;
    static demoGroups: string[];
    accessor httpPort: string;
    accessor httpsPort: string;
    accessor httpActive: boolean;
    accessor httpsActive: boolean;
    accessor routeCount: string;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
}
